/**
 * Substr.java
 *
 * File generated from the LDAStructure::Substr uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.ldap.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 * Description of the enumeration Substr.
 * 
 */

@XmlType(name = "Substr")
@XmlEnum
@XmlRootElement(name = "Substr")
public enum Substr {
	@XmlEnumValue("caseIgnoreSubstringsMatch")
	CASEIGNORESUBSTRINGSMATCH("caseIgnoreSubstringsMatch"),
	@XmlEnumValue("generalizedTimeOrderingMatch")
	GENERALIZEDTIMEORDERINGMATCH("generalizedTimeOrderingMatch"),
	@XmlEnumValue("telephoneNumberSubstringsMatch")
	TELEPHONENUMBERSUBSTRINGSMATCH("telephoneNumberSubstringsMatch");

	private final String value;

	Substr(String v) {
		value = v;
	}

	public String value() {
		return value;
	}

	public static Substr fromValue(String v) {
		for (Substr c : Substr.values()) {
			if (c.value.equals(v)) {
				return c;
			}
		}
		throw new IllegalArgumentException(v);
	}

}